net/apollo - The NetBSD Packages Collection

Messaging broker built from the foundations of ActiveMQ

ActiveMQ Apollo is a faster, more reliable, easier to maintain messaging broker
built from the foundations of the original ActiveMQ. It accomplishes this using
a radically different threading and message dispatching architecture.
In it's current incarnation, Apollo only supports the STOMP protocol but just
like the original ActiveMQ, it's been designed to be a multi protocol broker.
In future versions it will be adding OpenWire support so it can be compatible
with ActiveMQ 5.x JMS clients.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/openjdk11 lang/openjdk11

Binary packages

OSArchitectureVersion
NetBSD 8.0i386apollo-1.4nb1.tgz
NetBSD 8.0i386apollo-1.4nb1.tgz
NetBSD 8.0powerpcapollo-1.4nb1.tgz
NetBSD 8.0powerpcapollo-1.4nb1.tgz
NetBSD 8.0powerpcapollo-1.4nb1.tgz
NetBSD 8.0powerpcapollo-1.4nb1.tgz
NetBSD 8.0x86_64apollo-1.4nb1.tgz
NetBSD 8.0x86_64apollo-1.4nb1.tgz
NetBSD 9.0aarch64apollo-1.4nb1.tgz
NetBSD 9.0aarch64apollo-1.4nb1.tgz
NetBSD 9.0aarch64apollo-1.4nb1.tgz
NetBSD 9.0alphaapollo-1.4nb1.tgz
NetBSD 9.0alphaapollo-1.4nb1.tgz
NetBSD 9.0earmv6hfapollo-1.4nb1.tgz
NetBSD 9.0earmv6hfapollo-1.4nb1.tgz
NetBSD 9.0earmv7hfapollo-1.4nb1.tgz
NetBSD 9.0i386apollo-1.4nb1.tgz
NetBSD 9.0i386apollo-1.4nb1.tgz
NetBSD 9.0i386apollo-1.4nb1.tgz
NetBSD 9.0powerpcapollo-1.4nb1.tgz
NetBSD 9.0powerpcapollo-1.4nb1.tgz
NetBSD 9.0powerpcapollo-1.4nb1.tgz
NetBSD 9.0powerpcapollo-1.4nb1.tgz
NetBSD 9.0sparc64apollo-1.4nb1.tgz
NetBSD 9.0sparc64apollo-1.4nb1.tgz
NetBSD 9.0sparcapollo-1.4nb1.tgz
NetBSD 9.0x86_64apollo-1.4nb1.tgz
NetBSD 9.0x86_64apollo-1.4nb1.tgz
NetBSD 9.0x86_64apollo-1.4nb1.tgz
NetBSD 9.0x86_64apollo-1.4nb1.tgz
NetBSD 9.0x86_64apollo-1.4nb1.tgz
NetBSD 9.0x86_64apollo-1.4nb1.tgz
NetBSD 9.0x86_64apollo-1.4nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.